[android-components](../index.md) / [mozilla.components.support.ktx.util](./index.md)

## Package mozilla.components.support.ktx.util

### Functions

| Name | Summary |
|---|---|
| [readAndDeserialize](read-and-deserialize.md) | `fun <T> <ERROR CLASS>.readAndDeserialize(block: (`[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`) -> `[`T`](read-and-deserialize.md#T)`): `[`T`](read-and-deserialize.md#T)`?`<br>Reads an [AtomicFile](#) and provides a deserialized version of its content. |
| [writeString](write-string.md) | `fun <ERROR CLASS>.writeString(block: () -> `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)<br>Writes an [AtomicFile](#) and indicates if the file was wrote. |
